const check = require('../check-version')
const collect = require('../collect')

module.exports = function(script, args, help) {
  const bsy = require('../bsy')

  check(bsy.builder, () => {
    const builder = require(bsy.builder)
    const handle = builder[script]

    handle ? handle(args, collect) : help()
  }, args)
}